| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | Private Attributes | List of all members
IG.Gr.GraphicSetBase Class Reference

Base class for graphic sets that contain groups of graphic primitives. More...

Collaboration diagram for IG.Gr.GraphicSetBase:
[legend]

## Public Member Functions
IGraphicSet | GetChildSet (int i)
| Returns the specified child graphic set contained in the current graphic set. More...
IGraphicPrimitive | GetChildPrimitive (int i)
| Returns the specified child graphic primitive contained in the current graphic set. More...
virtual void | ReCalculateBounds (bool recursive)
| Recalculates the bounding box of the current graphic set. More...
virtual void | RecalculateBounds ()

## Properties
IGraphicSet | Parent`[get, protected set]`
int | NumGraphicSets`[get]`
| Gets number of child graphic sets directly contained in the current graphic set. More...
int | NumGraphicPrimitives`[get]`
| Gets number of child graphic primitives directly contained in the current graphic set. More...
IBoundingBox | Bounds`[get]`

## Private Attributes
IGraphicSet | _parent
List< IGraphicSet > | _childSets = new List<IGraphicSet>()
List< IGraphicPrimitive > | _childPrimitives = new List<IGraphicPrimitive>()
BoundingBox3d | _bounds = new BoundingBox3d()

## Detailed Description

Base class for graphic sets that contain groups of graphic primitives.

$A Igor Mar10 Nov10;

## Member Function Documentation

IGraphicSet IG.Gr.GraphicSetBase.GetChildSet | ( | int | i | ) |
| inline

Returns the specified child graphic set contained in the current graphic set.

Parameters

  i | Index of the child graphic set.

IGraphicPrimitive IG.Gr.GraphicSetBase.GetChildPrimitive | ( | int | i | ) |
| inline

Returns the specified child graphic primitive contained in the current graphic set.

Parameters

  i | Index of the child graphic primitive.

virtual void IG.Gr.GraphicSetBase.ReCalculateBounds | ( | bool | recursive | ) |
| inline virtual

Recalculates the bounding box of the current graphic set.

Parameters

  recursive | If true then bounds of sub-sets are re-calculated recursively.

virtual void IG.Gr.GraphicSetBase.RecalculateBounds | ( |  | ) |
| inline virtual

## Member Data Documentation

IGraphicSet IG.Gr.GraphicSetBase._parent
| private

List<IGraphicSet> IG.Gr.GraphicSetBase._childSets = new List<IGraphicSet>()
| private

List<IGraphicPrimitive> IG.Gr.GraphicSetBase._childPrimitives = new List<IGraphicPrimitive>()
| private

BoundingBox3d IG.Gr.GraphicSetBase._bounds = new BoundingBox3d()
| private

## Property Documentation

IGraphicSet IG.Gr.GraphicSetBase.Parent
| get protected set

int IG.Gr.GraphicSetBase.NumGraphicSets
| get

Gets number of child graphic sets directly contained in the current graphic set.

int IG.Gr.GraphicSetBase.NumGraphicPrimitives
| get

Gets number of child graphic primitives directly contained in the current graphic set.

IBoundingBox IG.Gr.GraphicSetBase.Bounds
| get private

The documentation for this class was generated from the following file:

- igbase/graphics/grobjects/GraphicalObjectsBase.cs